跳至內容

Qwen Image Edit Plus

整合

模型 id qwen-image-edit-plus
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/qwen-image-edit-plus?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: $0.03 30 API 點數 在此頁面執行

取得 API 金鑰
Alibaba 圖像編輯 #image-editing#image-to-image#high-quality-text

多影像編輯模型(Qwen-Image-Edit-2509),針對文字編輯調校,最多支援 100 個步驟

Alibaba · 圖像

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填

引導圖像生成的提示詞。

•必填 image_urls
拖放檔案,或

指向要編輯之圖像的 URL。

image_size 預設 square_hd

生成圖像的尺寸。

num_images 預設 1

請求生成的圖像數量。

進階 negative_prompt · output_format · acceleration · num_inference_steps · guidance_scale · seed · enable_safety_checker
預設

生成期間使用的負面提示詞。

output_format 預設 png

生成圖像的檔案格式。

acceleration 預設 regular

在 'none' 與 'regular' 之間選擇圖像生成加速方式;選擇 'regular' 可平衡品質與速度,提高加速等級會讓生成更快。

預設 50

要執行的推論步數。

預設 4

圖像選取的提示詞遵循強度,以 CFG (Classifier Free Guidance) 表示。

可重現圖像的種子:模型版本不變時,相同的提示詞與種子會產生相同圖像。

POST /run/qwen-image-edit-plus?wait=20 報價 → $0.03
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/qwen-image-edit-plus?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Qwen Image Edit Plus

根據 `prompt` 和 `image_urls` 編輯一或多張影像,適合變更影像中的文字及處理多個輸入。預設 `image_size` 為 square_hd,步驟最多 100(預設 50),`guidance_scale` 範圍為 0 到 20。每次呼叫最多 4 張,格式為 png 或 jpeg。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
prompt必填
類型string
引導圖像生成的提示詞。
image_size選填
類型object
預設值square_hd
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9
生成圖像的尺寸。
num_inference_steps選填
類型integer
預設值50
2 – 100
要執行的推論步數。
seed選填
類型integer | null
可重現圖像的種子:模型版本不變時,相同的提示詞與種子會產生相同圖像。
guidance_scale選填
類型number
預設值4
0 – 20
圖像選取的提示詞遵循強度,以 CFG (Classifier Free Guidance) 表示。
num_images選填 num_outputs
類型integer
預設值1
1 – 4
請求生成的圖像數量。
enable_safety_checker選填
類型boolean
預設值true
安全檢查,會以黑色圖像取代任何被標記為不安全的圖像。true 會啟用檢查;false 僅對獲得授權的帳戶停用檢查,未獲授權的請求無論如何都會接受檢查。
output_format選填
類型enum
預設值png
jpegpng
生成圖像的檔案格式。
image_urls必填 images
類型url[] · image
指向要編輯之圖像的 URL。
negative_prompt選填
類型string
預設值
生成期間使用的負面提示詞。
acceleration選填
類型enum
預設值regular
noneregular
在 'none' 與 'regular' 之間選擇圖像生成加速方式;選擇 'regular' 可平衡品質與速度,提高加速等級會讓生成更快。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "qwen-image-edit-plus",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 30,
    "usd": "0.03",
    "charged": 30,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_urls": [
      "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "timings": {},
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
images
array of object {url, width, height, content_type}生成圖像的檔案資訊。
timings
object
seed
integer圖像生成種子;若輸入未提供種子,則包含隨機選取的值,否則會重複提供的值。
has_nsfw_concepts
array of boolean指出生成的圖像中是否出現 NSFW 概念。
prompt
string圖像生成期間使用的提示詞。

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/qwen-image-edit-plus.md. 所有模型與指南: https://doitong.com/developers/llms.txt